> ## Documentation Index
> Fetch the complete documentation index at: https://koreai.mintlify.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Enabling Agent Transfer API

<Badge icon="arrow-left" color="gray">[Back to API List](/ai-for-service/apis/automation/api-list)</Badge>

Configures the BotKit URL, app, and events for agent transfer.

| Property          | Value                                                                                                                              |
| ----------------- | ---------------------------------------------------------------------------------------------------------------------------------- |
| **Method**        | PUT                                                                                                                                |
| **Endpoint**      | `https://{{host}}/api/public/bot/{{BotID}}/sdkSubscription`                                                                        |
| **Content Type**  | `application/json`                                                                                                                 |
| **Authorization** | `auth: {{JWT}}` — See [How to generate the JWT Token](/ai-for-service/apis/automation/api-introduction/#generating-the-jwt-token). |
| **API Scope**     | BotKit                                                                                                                             |

## Query Parameters

| Parameter | Description                                                     |
| --------- | --------------------------------------------------------------- |
| `host`    | Environment URL, for example, `https://platform.kore.ai`        |
| `BotID`   | Bot ID or Stream ID. Accessible from the General Settings page. |

## Body Parameters

| Parameter                            | Description                                                        |
| ------------------------------------ | ------------------------------------------------------------------ |
| `connectorEnabled`                   | Enable the connector (optional).                                   |
| `PIIMaskingDisabledForAgentTransfer` | Disable PII masking (optional).                                    |
| `sdkClientId`                        | Client ID to associate with the SDK BotKit.                        |
| `sdkHostUri`                         | SDK host URL.                                                      |
| `subscribedFor`                      | Array of events to subscribe to. `"onAgentTransfer"` is mandatory. |

## Sample Request

```bash theme={null}
curl -X PUT \
   https://{{host}}/api/bot/{{BotID}}/sdkSubscription \
  -H 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \
  -d '{
       "connectorEnabled": false,
       "PIIMaskingDisabledForAgentTransfer": false,
       "sdkClientId": "cs-xxxxx-xxxx-xxxx-xxxx-xxxxx",
       "sdkHostUri": "https://example.ngrok.io",
       "subscribedFor": [
           "onMessage",
           "onHook",
           "onEvent",
           "onAlert",
           "onVariableUpdate",
           "onAgentTransfer"
       ]}'
```

## Sample Response

```json theme={null}
<Bot info object>
```
